Bug 37428 - GNU VLA-in-structure extension is undocumented
Summary: GNU VLA-in-structure extension is undocumented
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c (show other bugs)
Version: 4.4.0
: P3 minor
Target Milestone: ---
Assignee: Marek Polacek
URL:
Keywords: documentation
Depends on:
Blocks:
 
Reported: 2008-09-08 17:29 UTC by Daniel Jacobowitz
Modified: 2014-03-26 06:59 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2012-01-28 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Jacobowitz 2008-09-08 17:29:32 UTC
This is a GNU extension to C99:

void foo(int n)
{
  struct S { int x[n]; };
}

It is not mentioned in the C Extensions section of the manual.
Comment 1 Andrew Pinski 2008-09-14 04:39:48 UTC
Confirmed.
Comment 2 Marek Polacek 2014-03-25 16:05:57 UTC
I posted a patch.
Comment 3 Marek Polacek 2014-03-26 06:58:46 UTC
Author: mpolacek
Date: Wed Mar 26 06:58:15 2014
New Revision: 208836

URL: http://gcc.gnu.org/viewcvs?rev=208836&root=gcc&view=rev
Log:
	PR c/37428
	* doc/extend.texi (C Extensions): Mention variable-length arrays in
	a structure/union.


Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/doc/extend.texi
Comment 4 Marek Polacek 2014-03-26 06:59:31 UTC
Fixed.